Description

When registering a dataset with a data file, Metacat is throwing the following exception:

MC 14:29:17,633: [ERROR]: Problem with parsing: General error checking user permissions: User tried to update an access module
when they don't have "ALL" permission! [edu.ucsb.nceas.metacat.Documentimpl]

org.xml.sax.SAXException: General error checking user permissions: User tried to update an access module when they don't have
"ALL" permission!

at edu.ucsb.nceas.metacat.EmI210SAXHandler.writeAdditionalAccessRulesToDB(EmI210SAXHandler.java:1576)

at edu.ucsb.nceas.metacat.EmI210SAXHandler.writeAccessRuleToDB(EmI210SAXHandler.java:1382)

at edu.ucsb.nceas.metacat.EmI210SAXHandler.endDocument(EmI210SAXHandler.java:1363)

at org.apache.xerces.parsers.AbstractSAXParser.endDocument(Unknown Source)

History

#1 - 01/21/2009 04:30 PM - Michael Daigle

Metacat was checking for xml_access when uploading a new data file. Changed so that it only checks for existing data files.

#2 - 03/27/2013 02:24 PM - Redmine Admin
Original Bugzilla ID was 3763
